package riciclaggio;

import java.util.*;

public class GestioneRiciclaggio {

	public static void main(String[] args){
		
		Scanner tastiera = new Scanner(System.in);
		
		System.out.println("Inserire il codice del materiale: ");
		int codiceMateriale = tastiera.nextInt();
		
		System.out.println("Inserire la regione: ");
		tastiera.nextLine(); // per pulire il buffer di input
		String regione = tastiera.nextLine(); // per acquisire linee, ad es. Friuli Venezia Giulia
				
		DatiMateriale dati = Riciclaggio.puntiPerMateriale(codiceMateriale, regione);
		if(dati != null){
			System.out.println(dati); // richiamo automatico a toString()
			
			/*
			 * VERSIONE ALTERNATIVA
			 System.out.println("Il numero di punti di raccolta per il materiale richiesto e': "+dati.getNumPunti());
			 System.out.println("La percentuale di punti di raccolta per il materiale richiesto e': "+dati.getPercentualePunti());
			*/
		}
		tastiera.close();
	}
}
