package riciclaggio;

public class MaterialeSintetico extends Materiale{
	
	private String formulaChimica;
	
	public MaterialeSintetico(){
		this("",0,"");
	}
	
	public MaterialeSintetico(String descrizione, double costo, String formula){
		super(descrizione, costo);
		this.formulaChimica = formula;
	}
	
	public String toString(){
		String s = super.toString();
		s += "formula: "+formulaChimica + "\n\n";
		return s;
	}
	
	/* metodi non necessari all'esecuzione del programma
	 
	public String getFormulaChimica(){
		return formulaChimica;
	}
	
	public void setFormulaChimica(String formula){
		this.formulaChimica = formula;
	}
	*/

}
