package riciclaggio;

public class MaterialeBiologico extends Materiale{
	
	private int tempoDeperibilita;
	
	public MaterialeBiologico(){
		this("",0,0);
	}
	
	public MaterialeBiologico(String descrizione, double costo, int tempo){
		super(descrizione, costo);
		this.tempoDeperibilita = tempo;
	}
	
	public String toString(){
		String s = super.toString();
		s += "Tempo di deperibilita: "+tempoDeperibilita+"\n\n";
		return s;
	}
	
	/* metodi non necessari all'esecuzione del programma
	
 	public int getTempoDeperibilita(){
		return tempoDeperibilita;
	}
	
	public void setTempoDeperibilita(int tempo){
		this.tempoDeperibilita = tempo;
	}
	
	*/

}
