package riciclaggio;

public class MaterialeMetallo extends Materiale{
	
	private String[] componenti; // si suppone che sia dimensionato appositamente e il cui contenuto non cambi

	public MaterialeMetallo(){
		this("",0,null);
	}
	
	public MaterialeMetallo(String descrizione, double costo, String[] componenti){
		super(descrizione, costo);
		this.componenti = componenti;
	}

	public String toString(){
		String s = super.toString();
		s += "componenti: "+componenti.length + "\n";
		for (int i = 0; i < componenti.length; i++) {
			s += "\t\t "+componenti[i] + "\n";
		}
		s += "\n";
		return s;
	}
	
	/* metodi non necessari all'esecuzione del programma
	 
	public String[] getComponenti(){
		return componenti;
	}
	
	public void setComponenti(String[] componenti){
		this.componenti = componenti;
	}
	*/

}
