package riciclaggio;

import riciclaggio.Materiale.TipoMateriale;

public class Punto {
	
	private static int codiceProgressivo=1;
	
	private int codice;
	private String localita;
	private String regione;
	private TipoMateriale tipoMaterialeRaccolto;

	public Punto(){
		this("","",null)	; 
	}

	public Punto(String localita, String regione, TipoMateriale tipo){
		this.codice = codiceProgressivo++;
		this.localita = localita;
		this.regione = regione;
		this.tipoMaterialeRaccolto = tipo;
	}
	
	public String getRegione(){
		return regione;
	}
	
	public TipoMateriale getTipoMaterialeRaccolto(){
		return tipoMaterialeRaccolto;
	}
	
	/* metodi non necessari all'esecuzione del programma
	 
	public int getCodice(){
		return codice;
	}
	
	public String getLocalita(){
		return localita;
	}
	
	public void setLocalita(String localita){
		this.localita = localita;
	}
	
	public void setRegione(String regione){
		this.regione = regione;
	}
	
	public void setTipoMaterialeRaccolto(TipoMateriale tipo){
		this.tipoMaterialeRaccolto = tipo;
	}
	
	*/
}
